package cn.ibizlab.core.lite.service.impl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.Map;
import java.util.HashSet;
import java.util.HashMap;
import java.util.Collection;
import java.util.Objects;
import java.util.Optional;
import java.math.BigInteger;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.util.ObjectUtils;
import org.springframework.beans.factory.annotation.Value;
import cn.ibizlab.util.errors.BadRequestAlertException;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Lazy;
import cn.ibizlab.core.lite.domain.DstMicroservice;
import cn.ibizlab.core.lite.filter.DstMicroserviceSearchContext;
import cn.ibizlab.core.lite.service.IDstMicroserviceService;

import cn.ibizlab.util.helper.CachedBeanCopier;
import cn.ibizlab.util.helper.DEFieldCacheMap;


/**
 * 实体[微服务] 无存储服务对象接口实现
 */
@Slf4j
@Service
public class DstMicroserviceServiceImpl implements IDstMicroserviceService {

    @Autowired
    @Lazy
    protected cn.ibizlab.core.lite.service.IDstAPIService dstapiService;

    @Override
    public boolean create(DstMicroservice et) {
        //代码实现
        return true;
    }

    public void createBatch(List<DstMicroservice> list){
    }

    @Override
    public boolean update(DstMicroservice et) {
        //代码实现
        return true;
    }

    public void updateBatch(List<DstMicroservice> list){
    }

    @Override
    public boolean remove(String key) {
        return true;
    }

    public void removeBatch(Collection<String> idList){
    }

    @Override
    public DstMicroservice get(String key) {
        DstMicroservice et = new DstMicroservice();
        et.setId(key);
        return et;
    }

    @Override
    public DstMicroservice getDraft(DstMicroservice et) {
        return et;
    }

    @Override
    public boolean checkKey(DstMicroservice et) {
        return false;
    }
    @Override
    @Transactional
    public boolean save(DstMicroservice et) {
        //代码实现
        return true;
    }

    @Override
    public void saveBatch(List<DstMicroservice> list) {
    }



	@Override
    public List<DstMicroservice> selectByPssystemid(String pssystemid) {
        return null;
    }

    @Override
    public void removeByPssystemid(String pssystemid) {
        Set<String> delIds=new HashSet<String>();
        for(DstMicroservice before:selectByPssystemid(pssystemid)){
            delIds.add(before.getId());
        }
        if(delIds.size()>0)
            this.removeBatch(delIds);
    }



    /**
     * 查询集合 数据集
     */
    @Override
    public Page<DstMicroservice> searchDefault(DstMicroserviceSearchContext context) {
        return new PageImpl<DstMicroservice>(new ArrayList(),context.getPageable(),0);
    }


}


